!---------------------------------------------------------------
!> This module contains parameters, nothing else.
!> 
!> \authors Kaspar Sakmann (2007)
!> \since 2007
!> \todo ABMIntorder and restartABM can be moved and made variable
MODULE moduleparameters
IMPLICIT NONE

REAL*8, PARAMETER       :: PI=3.1415926535897932D0
REAL*8,PARAMETER        :: ZERO_R = 0.0D0
REAL*8,PARAMETER        :: ONE_R =  1.0D0
COMPLEX*16, PARAMETER   :: ZERO=(ZERO_R,ZERO_R)
COMPLEX*16, PARAMETER   :: ZONER=(ONE_R, ZERO_R)
COMPLEX*16, PARAMETER   :: ZONEI=(ZERO_R,ONE_R)


INTEGER,PARAMETER  :: SILmaxIntOrder   = 20

!---------------------------------------------------------------

INTEGER,PARAMETER  :: ABMIntOrder      = 8 ! >=3 and <=8 
LOGICAL,PARAMETER  :: restartABM       =.true.

END MODULE moduleparameters
